Note for failed linking
=======================
Seems that on some systems linking fails due missing references. You may
solve it with

. /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

before running cmake.
On some systems cmake doesn't detect that it is a threaded qt-version. So you should 
do 

export CXXFLAGS="-DQT_THREAD_SUPPORT"

before running cmake. (Or give it as parameter to cmake with -DCMAKE_CXX_FLAGS="-DQT_THREAD_SUPPORT")


Note for release 0.7.x
======================

Kdesvn has now its own KIO. That may conflict with that one from kdesdk.
Thats why it has the protocols in dual version:

ksvn+http   - svn+http
ksvn+https  - svn+https

and so on.
RPM packages may split them into various parts (see kdesvn.spec for details).
the same must done for debian packages or other managers.

Note for release 0.5.0
======================

If you had installed kdesvn versions before, please UNINSTALL it first.

Prepare install
===============
You require at least cmake 2.4. In source-tree-build are mostly unwanted, so
make a subdir called "kdesvn-build" and change to it.

Basic installation
==================
Change to your builddirectory and call cmake with the path to kdesvn. E.g.,
when your build-folder is "kdesvn-build" within source-tree, so change to it
and type "cmake ../".

Now your system get checked if it is able compiling kdesvn and cmake generates
the Makefiles.
Important parameters to cmake:

-DCMAKE_BUILD_TYPE=<buildtype>
<buildtype> may current one of "Debug", "Release", "ReleaseWithDebInfo"
or "MINSIZEREL"

-DCMAKE_INSTALL_PREFIX=<prefix>
Default to "/usr/local"

-DSUBVERSION_INSTALL_PATH=<subversionlib-install-prefix>
Where is subversion-lib installed. Default check in /usr and /usr/local

-DCMAKE_CXX_FLAGS=<some extra flags>
Extra flags for the c++ compiler for your system required.

After calling cmake just type
    make
and build begins. When more output is wanted call
   make VERBOSE=1

After make type "make install" and install begins.

You may install to a temporary-root with
    make install DESTDIR=<temproot>

If you want to uninstall kdesvn again type "make uninstall" from within the
build directory.
